curl --request GET \
--url https://api.syntage.com/extractions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/extractions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/extractions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/Extraction",
"@id": "/extractions",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/extractions/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Extraction",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"taxpayer": {
"@id": "/taxpayers/PEIC211118IS0",
"@type": "Taxpayer",
"id": "PEIC211118IS0",
"personType": "physical",
"registrationDate": "2023-12-25",
"name": "Pedro Infante Cruz"
},
"extractor": "invoice",
"options": {
"period": {
"from": "2024-01-01",
"to": "2024-12-31"
},
"types": [
"I",
"E",
"P"
],
"issued": true,
"received": true,
"complement": -1,
"pdf": true,
"xml": true
},
"status": "pending",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"rateLimitedAt": "2019-01-03T21:10:40.000Z",
"errorCode": null,
"createdDataPoints": 3,
"updatedDataPoints": 2,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}List all extractions
List extraction tasks and filter them by entity, extractor, status, dates, or SAT rate limit state.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
Filter by RFC (Registro Federal de Contribuyentes, exact match)
12 - 13"PEIC211118IS0"
Filter by extractor (partial match) Extractor to run, which retrieves resources from the corresponding datasource
invoice, monthly_tax_return, annual_tax_return, rif_tax_return, tax_status, tax_retention, tax_compliance, electronic_accounting, sat_certificates, rpc, buro_de_credito_report, bil, rug, background_check, infonavit Filter by status (exact match)
pending, running, finished, failed, stopping, stopped Filter by start date (less than or equal <=)
Filter by start date (less than <)
Filter by start date (greater than or equal >=)
Filter by start date (greater than >)
Filter by finished date (less than or equal <=)
Filter by finished date (less than <)
Filter by finished date (greater than or equal >=)
Filter by finished date (greater than >)
Filter extractions that was rate limited by SAT
true
Filter by resource creation date (less than or equal <=)
Filter by resource creation date (less than <)
Filter by resource creation date (greater than or equal >=)
Filter by resource creation date (greater than >)
Order by start date
asc, desc "asc"
Order by finished date
asc, desc "asc"
Order by resource creation date
asc, desc "asc"
Order by resource update date
asc, desc "asc"
Collection cursor pointer to the next page
Collection cursor pointer to the previous page
Number of items per page
1 <= x <= 1000Was this page helpful?